{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";

    neovim-overlay.url = "github:nix-community/neovim-nightly-overlay";
    neovim-overlay.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs = { self, nixpkgs, neovim-overlay, ... }: {
    nixosConfigurations = let
      neovimOverlay = { pkgs, ... }: { nixpkgs.overlays = [ neovim-overlay.overlay ]; };
    in {
      petalius = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        modules = [ ./petalius.nix neovimOverlay ];
      };
      flammea = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        modules = [ ./flammea.nix neovimOverlay ];
      };
    };
  };
}
